(*#######################################################################################

UpdateLoader - resourcestring Sammlung

https://luani.de/

Copyright (C) 2012-2023 Leo-Andres Hofmann


This file is part of UpdateLoader.

UpdateLoader is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

UpdateLoader is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with UpdateLoader. If not, see <http://www.gnu.org/licenses/>.

#######################################################################################*)

unit i18n;

{$mode objfpc}{$H+}

interface

resourcestring
  rsAddress = 'Adresse';
  rsBtnStartUpdate = 'Update starten!';
  rsCOMErrNoPort = 'Dieser Computer verfügt über keine serielle Schnittstelle (COM-Port).';
  rsCOMErrOpen = 'COM-Port konnte nicht geöffnet werden.';
  rsCOMInfoBlocked = 'Port wird eventuell von anderer Anwendung blockiert';
  rsCOMInfoNoPort = 'Mindestens eine Schnittstelle ist notwendig um dieses Programm zu verwenden.';
  rsCOMInfoStart = 'COM-Port #%d öffnen...';
  rsCRCErrFailed = 'Prüfsumme falsch, Übertragungsfehler!';
  rsCRCInfoInit = 'CRC Initialisierung...';
  rsCRCInfoStart = 'CRC Prüfung nach Übertragung...';
  rsCRCInfoSuccess = 'CRC-Prüfsumme OK';
  rsCRCLogSum = 'CRC-Prüfsumme:';
  rsCaptionProgram = ' Programm ';
  rsCaptionProgramSize = ' Programm (%s) ';
  rsConfirmExit = 'Programm jetzt beenden?';
  rsConfirmForceUpdate = 'Update trotzdem durchführen?';
  rsConfirmSettingsClear = 'Einstellungen wirklich zurücksetzen?';
  rsConfirmSettingsSave = 'Konfiguration wirklich speichern?';
  rsConfirmStart = 'Update wirklich durchführen?';
  rsConfirmUnknownSignature = 'Das Firmware-Update könnte fehlschlagen und Daten verloren gehen. Fortfahren?';
  rsConfirmVerify = 'Überprüfung jetzt trotzdem durchführen?';
  rsData = 'Daten';
  rsDialogCancel = 'Abbrechen';
  rsDialogNo = '&Nein';
  rsDialogOk = '&OK';
  rsDialogYes = '&Ja';
  rsErr1WDisabled = 'Eindrahtverbindung erkannt, Modus ist jedoch deaktiviert!';
  rsErrFileLoad = 'Datei konnte nicht geladen werden!';
  rsErrFileMissing = 'Datei nicht gefunden';
  rsErrFileSave = 'Datei konnte nicht gespeichert werden!';
  rsErrFlashOversize = 'Flash-Speicher größer als maximal mit diesem Programm ansprechbarer Bereich';
  rsErrFlashUndersize = 'Flash-Speicher kleiner als Firmware-Datei';
  rsErrLoadFirmware = 'Laden der Firmware-Datei fehlgeschlagen:';
  rsErrNoBaudSel = 'Keine Baudrate ausgewählt.';
  rsErrNoComSel = 'Kein COM-Port ausgewählt.';
  rsErrNoMode = 'Kein unterstützer Modus gefunden';
  rsErrNoPassword = 'Kein Passwort: Verbindungsaufbau nicht möglich!';
  rsErrNotNumber = '"$%s" ist keine gültige Zahl';
  rsErrPasswordEmpty = 'Ungültiges Passwort, kein Inhalt!';
  rsErrPasswordFormat = 'Fehlerhaftes Firmwarepasswort:';
  rsErrPasswordPolicy = 'Ungültiges Passwort, es dürfen keine Protokollzeichen im Passwort vorkommen!';
  rsErrRangeByte = '"$%s" überschreitet den Byte-Wertebereich';
  rsErrSettingsLoad = 'Fehler beim Laden der Programmeinstellungen:';
  rsErrSettingsLocked = 'Speichern unzulässig';
  rsErrSettingsSave = 'Fehler beim Speichern der Programmeinstellungen:';
  rsErrTxBufferUndersize = 'Sendepuffer zu klein';
  rsErrUnsupportedVersion = 'Ungültige Bootloader-Version erkannt: %s';
  rsException = 'Ausnahmefehler:';
  rsExiting = 'Das Programm wird jetzt beendet.';
  rsFlashSize = 'Flash-Größe';
  rsFormatTime = 'hh:mm:ss';
  rsHighBytes = 'High-Bytes';
  rsIdle = 'Nichts zu tun!';
  rsInfoConnecting = 'Verbindungsaufbau...';
  rsInfoCRCAvailable = 'Übertragung CRC-gesichert!';
  rsInfoCRCUnsupported = 'CRC-Überprüfung nicht unterstützt';
  rsInfoCanceling = 'Update-Vorgang wird abgebrochen';
  rsInfoConnect1Wp = 'Verbunden: 1-Draht-Modus, %d Versuche';
  rsInfoConnect1Ws = 'Verbunden: 1-Draht-Modus, 1 Versuch';
  rsInfoConnect2Wp = 'Verbunden: 2-Draht-Modus, %d Versuche';
  rsInfoConnect2Ws = 'Verbunden: 2-Draht-Modus, 1 Versuch';
  rsInfoConnectionImpossible = 'Verbindungsaufbau nicht möglich!';
  rsInfoCorruption = 'Achtung: Original-Firmware wurde möglicherweise überschrieben oder beschädigt!';
  rsInfoDevice = 'Bootloader V%s auf %s erkannt';
  rsInfoDontDisconnect = 'Verbindung nicht trennen!';
  rsInfoFirmwareLoaded = 'Firmware-Datei geladen (%s)';
  rsInfoFlashOversize = '(%s Flash >>> %s Puffer)';
  rsInfoFlashSize = 'Flash-Größe: %s (Puffer: %d Byte)';
  rsInfoFlashUndersize = '(%d Byte Flash <<< %d Byte Firmware)';
  rsInfoLargeFile = 'Datei >%s, Automatische Darstellung deaktiviert';
  rsInfoNoFirmware = 'Keine oder ungültige Firmware-Datei geladen.';
  rsInfoNoPassword = 'Mindestens ein Zeichen ist notwendig';
  rsInfoNoTask = 'Mindestens einen Schritt (Programmieren/Überprüfen) auswählen.';
  rsInfoRetrieveCapabilities = 'Funktionen ermitteln...';
  rsInfoRetrieveConfig = 'Konfiguration auslesen...';
  rsInfoSignature = 'Chip-Signatur: %s';
  rsInfoTxBufferUndersize = '(%d Byte Puffer <<< %d Byte Minimum)';
  rsInfoTxSmallBuffer = 'Achtung: Kleiner Sendepuffer!';
  rsInfoUnknownSignature = 'Es wurde ein unbekannter Mikrocontroller gefunden (unbekannte Signatur).';
  rsInfoUnsupportedVersion = 'Ausschließlich Version %s wird unterstützt!';
  rsInfoUpdateCancelled = 'Fehler aufgetreten, Update abgebrochen!';
  rsInfoUpdateStart = 'Upload gestartet (%s, %s)';
  rsInfoVerifyAvailable = 'Überprüfung (Verify) unterstützt!';
  rsInfoVerifyRecommend1 = 'Die geschriebenen Daten sollte zur Erhöhung der Funktionssicherheit überprüft werden.';
  rsInfoVerifyRecommend2 = 'In den erweiterten Einstellungen wurde die Überprüfung jedoch deaktiviert.';
  rsInfoVerifyUnsupported = 'Überprüfung (Verify) nicht unterstützt';
  rsLogConnecting = 'Verbindungsaufbau:';
  rsLogConnectNoWire = 'Kein unterstützter Modus';
  rsLogDuration = 'Gesamtdauer: %s';
  rsLogReadSettings = 'Einstellungen auslesen:';
  rsLogShutdown = 'Gerät jetzt ausschalten und weitere Anweisungen abwarten.';
  rsLogUnknownSignature = 'Achtung: Unbekannter Mikrocontroller!';
  rsLogUpdateCancelled = 'Fehler beim Firmware-Update, Ausführung abgebrochen';
  rsLogUpdateStart = 'Firmware-Update gestartet (%s)';
  rsLogUpdateSuccess = 'Firmware-Update erfolgreich beendet!';
  rsLowBytes = 'Low-Bytes';
  rsMessageTitle = 'UpdateLoader - Nachricht';
  rsNoticeRestart = 'Gerät wieder einschalten!';
  rsNoticeRunning = 'Update läuft';
  rsNoticeStartBoot = 'Bootloader aktivieren!';
  rsPaketConfigSaved = 'Konfiguration gespeichert!';
  rsPaketErrFirmwareMissing = 'Die mitgelieferte Firmware-Datei wurde nicht gefunden.';
  rsPaketErrVerifyRequired = 'Die Überprüfung (Verify) der Übertragung wird nicht unterstützt, ist jedoch für das aktuelle Programmpaket erforderlich!';
  rsPaketInfoFirmwareMissing = 'Wahrscheinlich wurde das Update-Paket unvollständig heruntergeladen.';
  rsPaketInfoSaveAbsPath = 'Hinweis: Der absolute Pfad zur Update-Datei wird entfernt, die Firmware muss im selben Ordner wie UpdateLoader.exe liegen.';
  rsPaketReady = 'UpdateLoader kann nun ausgeliefert werden';
  rsPleaseWait = 'Bitte warten...';
  rsProgress = 'Fortschritt';
  rsRebootErrCommand = 'Die neue Firmware konnte nicht automatisch gestartet werden. (Kommando wird nicht unterstützt)';
  rsRebootInfoCommand = 'Gerät bitte manuell neu starten um die neue Firmware zu aktivieren!';
  rsRebootInfoFail = 'Firmware nicht gestartet (Kommando unbekannt)';
  rsRebootInfoStart = 'Neue Firmware starten...';
  rsRebootInfoSuccess = 'Neue Firmware gestartet';
  rsRevision = 'Revision';
  rsStatusBusy = 'Firmware-Update wird ausgeführt, Benutzeroberfläche ist deaktiviert!';
  rsStatusFailed = '☹ Firmware-Update fehlgeschlagen! ☹';
  rsStatusReadyLoaded = 'Bereit, Firmware-Datei geladen (%s)';
  rsStatusReadyNoFile = 'Bereit, keine Firmware-Datei geladen';
  rsStatusSuccess = '☺ Firmware-Update "%s" erfolgreich! ☺';
  rsTimeout = 'Zeitüberschreitung';
  rsTxBufferSize = 'Sendepuffer-Größe';
  rsUploadErrFailed = 'Programmieren fehlgeschlagen';
  rsUploadInfoProgress = 'Programmiere %s von %s Flash (%.0f%%)...';
  rsUploadInfoSuccess = 'Programmieren erfolgreich';
  rsUploadLogProgress = 'Programmieren: (Adresse 0x%.6x)';
  rsVerifyErrFailed = 'Überprüfung fehlgeschlagen';
  rsVerifyInfoStart = 'Firmware überprüfen...';
  rsVerifyInfoSuccess = 'Überprüfung erfolgreich';
  rsVerifyLogProgress = 'Programm überprüfen: (Adresse 0x%.6x)';
  rsWarningNoDowngrade = 'Warnung: Die Aktualisierung der Firmware kann nicht mehr rückgängig gemacht werden. Im Fehlerfall kann das Gerät beschädigt werden.';

implementation

end.

